# JvmTestKind

enum JvmTestKind

Enumerates the different kinds of JVM tests. This allows to differentiate between test suites, atomic tests, etc.

#### Since

2.4

## Entries

SUITE
Link copied to clipboard
SUITE
ATOMIC
Link copied to clipboard
ATOMIC
UNKNOWN
Link copied to clipboard
UNKNOWN

## Properties

label
Link copied to clipboard
val label: String

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): JvmTestKind

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<JvmTestKind>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.